import wcs, es, random, gamethread, playerlib
from wcs import wcs

Name = 'Cobra Unit'
race = wcs.Race(Name)

race.registerSkill('Cobra Combo',1,1,'All 6 cobras come together and give the you immense power.',1,'The Fury')
race.registerSkill('The Pain',5,1,'The Pain has left his endurance legacy behind teaching you how to evade attacks.')
race.registerSkill('The Fear',5,1,'The Fear has left his speed legacy behind teaching you how to move quicker.',1,'The Pain')
race.registerSkill('The Boss',1,1,'The Boss has left his knife legacy behind teaching you the vital places to attack.',1,'The Fear')
race.registerSkill('The Sorrow',10,1,'The Sorrow has left you his legacy to take your killer to hell with you.',1,'The Boss')
race.registerSkill('The End',5,1,'The End has left his cloaking legacy  behind.',1,'The Sorrow')
race.registerSkill('The Fury',5,1,'Using +Ability you get to use your jetpack and set nearby enemies on fire.',1,'The End')
race.registerSkill('Already Dead',1,1,'The Sorrow has a chance to be ressurected when killed.',3,'The Sorrow')
race.registerUltimate('Can\'t Stop the Dead',30,5,1,'Using the +Ultimate The Sorrow can become invincible for a period of time.')


def player_spawn(ev):
	userid = int(ev['userid'])
	if wcs.GetRace(userid) == 'Cobra Unit':
		wcs.Command(userid).SetGravity(.55)
		pain = wcs.GetLevel(userid, Name, 'The Pain')
		if pain:
			wcs.Command(userid).HealthAdd(pain*20)
			es.tell(userid, '#multi', '#greenThe Pain #default- #lightgreenYour trainings have given you #green%s #lightgreenhealth.'%(pain*20))
		fear = wcs.GetLevel(userid, Name, 'The Fear')
		if fear:
			wcs.Command(userid).SpeedAdd(fear*.1)
			es.tell(userid, '#multi', '#greenThe Fear #default- #lightgreenYour trainings have made you #green%s #lightgreenfaster.'%(fear*.1))
		end = wcs.GetLevel(userid, Name, 'The End')
		if end:
			wcs.Command(userid).Color(alpha=(255-(end*45.9)))
			es.tell(userid, '#multi', '#greenThe End #default- #lightgreenYour trainings have made you #green%s percent #lightgreeninvisible.'%(100*(end*45.9)/255))

def prep_hurt(ev):
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	damage = int(ev['dmg_health'])
	weapon = (ev['weapon'])
	pain = wcs.GetLevel(userid, Name, 'The Pain')
	if pain:
		if pain*10 >= random.randint(1,100):
			wcs.Command(userid).SaveLife(damage)
			es.tell(userid, '#multi', '#greenThe Pain #default- #lightgreenYou have used your trainings to evade an attack.')
	boss = wcs.GetLevel(attacker, Name, 'The Boss')*100
	if boss:
		if weapon == 'knife':
			wcs.Command(userid).Damage(damage*boss,32,attacker)
			es.tell(attacker, '#multi', '#greenThe Boss #default- #lightgreen you have used your knife trainings to kill your enemy.')
			es.tell(userid, '#multi', '#greenThe Boss #default- #lightgreen\'#green%s#lightgreen\' has used his knife trainings to kill you.'%(es.getplayername(attacker)))
	cobra = wcs.GetLevel(attacker, Name, 'Cobra Combo')
	if cobra:
		if cobra*20 <= random.randint(1,100):
			wcs.Command(userid).Damage(damage*(cobra*100),32,attacker)
			es.tell(attacker,'#multi','#greenCobra Combo #default- #lightgreenYou have used \'#greenCobra Combo#lightgreen\'.')
			es.tell(userid,'#multi','#greenCobra Combo #default- #lightgreenYou have been hit by \'#greenCobra Combo#lightgreen\'.')
	
def player_death(ev):
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	sorrow = wcs.GetLevel(userid, Name, 'The Sorrow')
	if sorrow:
		if sorrow*5 >= random.randint(1,100):
			wcs.Command(attacker).Damage(10000,32,userid)
			es.tell(userid, '#multi', '#greenThe Sorrow #default- #lightgreenYour trainings allowed you to take \'#green%s#lightgreen\' to Hell with you.'%es.getplayername(attacker))
			es.tell(attacker, '#multi' ,'#greenThe Sorrow #default- #lightgreen\'#green%s#lightgreen\' has taken you to Hell with him.'%es.getplayername(userid))
	dead = wcs.GetLevel(userid, Name, 'Already Dead')
	if dead:
		if dead*33 >= random.randint(1,100):
			gamethread.delayed(2,wcs.Command(userid).Spawn())
			es.tell(userid, '#multi', '#greenAlready Dead #default- #lightgreenYou have lived to fight another day.')

def player_ability_on(ev):
	userid = int(ev['userid'])
	team = int(es.getplayerteam(userid))
	if team == 2:
		filter = '#ct'
	elif team == 3:
		filter = '#t'
	fury = wcs.GetLevel(userid, Name, 'The Fury')	
	if fury:
		playerlib.getPlayer(userid).set('jetpack', 1)
		wcs.Command(userid).Near(fury*100,fire,filter)
		es.tell(userid,'#multi','#greenThe Fury #default- #lightgreenYour trainings enabled you to use your jetpack and you have set all nearby enemies on fire.')
def fire(userid, attacker):
	wcs.Command(userid).Burn(wcs.GetLevel(attacker, Name, 'The Fury')*2)
	es.tell(userid, '#multi', '#greenThe Fury #default- #lightgreenYou have been set on fire by \'#green%s#lightgreen\'.'%es.getplayername(attacker))
def player_ability_off(ev):
	userid = int(ev['userid'])
	fury = wcs.GetLevel(userid, Name, 'The Fury')
	if fury:
		playerlib.getPlayer(userid).set('jetpack', 0)
		es.tell(userid,'#multi','#greenThe Fury #default- #lightgreenYou are no longer using ur jetpack.')
	
	
def player_ultimate_on(ev):
	userid = int(ev['userid'])
	cstd = wcs.GetLevel(userid, Name, 'Can\'t Stop the Dead')
	if cstd:
		wcs.Command(userid).God((cstd*4))
		es.tell(userid,'#multi','#greenCan\'t Stop the Dead #default- #lightgreenYou are invincible for #green%s #lightgreenseconds.'%(cstd*4))
		wcs.Command(userid).SetCoolDown('Can\'t Stop the Dead',30)